using System;
using System.Collections.Generic;

namespace Plux {
  [SlotDefinition("Plux.Preferences")]
  public interface IPreferences : IEnumerable<KeyValuePair<string, object>> {
    object this[string key] { get; set; }
    Exception LastError { get; }
    bool Remove(string key);
    void Clear();
  }
}